Categories:
  - Writing
License: GPL-3.0-only
AuthorName: Adil Hanney
SourceCode: https://github.com/adil192/saber
IssueTracker: https://github.com/adil192/saber/issues
Translation: https://github.com/adil192/saber#translating
Donate: https://github.com/sponsors/adil192

AutoName: Saber

RepoType: git
Repo: https://github.com/adil192/saber.git

Builds:
  - versionName: 0.3.12
    versionCode: 312
    commit: 9a08d5c029a49aee292624b02ea27cf5afb50ded
    submodules: true
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - snap
      - web
      - windows
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter build apk --flavor fdroid  -t lib/main_fdroid.dart

  - versionName: 0.3.13
    versionCode: 313
    commit: 79baf9c025544bb12f36047c31669db304eb2281
    submodules: true
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - snap
      - web
      - windows
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter build apk --flavor fdroid  -t lib/main_fdroid.dart

  - versionName: 0.3.14
    versionCode: 314
    commit: 73fec2ecb4cdc9b3ed8765f4fa64d7be550e1b9f
    submodules: true
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - snap
      - web
      - windows
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter build apk --flavor fdroid  -t lib/main_fdroid.dart

  - versionName: 0.3.15
    versionCode: 315
    commit: v0.3.15
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - snap
      - web
      - windows
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart

  - versionName: 0.3.16
    versionCode: 316
    commit: 6830eb7d1cbb16cab2021fe26862624cf9a915cf
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - snap
      - web
      - windows
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart

AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 0.3.16
CurrentVersionCode: 316
